JMeter (Apache JMeter dist API)
Description: declaration: package: org.apache.jmeter, class: JMeter

Package org.apache.jmeter

# Class JMeter

java.lang.Object
org.apache.jmeter.JMeter

All Implemented Interfaces:
  `JMeterPlugin`

public class JMeter extends Object implements JMeterPlugin
Main JMeter class; processes options and starts the GUI, non-GUI or server as appropriate.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `DEFAULT_TREE_ICON_SIZE`
  `static final String`
  `HTTP_PROXY_PASS`
  `static final String`
  `HTTP_PROXY_USER`
  `static final String`
  `JMETER_NON_GUI`
  `static final String`
  `JMETER_REPORT_OUTPUT_DIR_PROPERTY`
  `protected static final String`
  `KEY_SIZE`
  `static final String`
  `TREE_ICON_SIZE`
  `static final int`
  `UDP_PORT_DEFAULT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JMeter()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `convertSubTree(HashTree tree)`
  Deprecated.
  This method does not correctly handle a tree with Replaceable controllers that contain NoThreadClone element.
  `static HashTree`
  `convertSubTree(HashTree tree, boolean cloneAtEnd)`
  This function does the following: Remove disabled elements Replace the ReplaceableController with the target subtree If cloneAtEnd is true : Clone the tree to ensure Commonly referenced NoThreadClone elements are cloned THIS IS INTERNAL JMETER API and should be used with care
  `String[][]`
  `getIconMappings()`
  `String[][]`
  `getResourceBundles()`
  `static boolean`
  `isNonGUI()`
  Check if JMeter is running in non-GUI mode.
  `void`
  `start(String[] args)`
  Takes the command line arguments and uses them to determine how to startup JMeter.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### UDP_PORT_DEFAULT

    public static final int UDP_PORT_DEFAULT
    See Also:
      - Constant Field Values

  - ### HTTP_PROXY_PASS

    public static final String HTTP_PROXY_PASS
    See Also:
      - Constant Field Values

  - ### HTTP_PROXY_USER

    public static final String HTTP_PROXY_USER
    See Also:
      - Constant Field Values

  - ### JMETER_NON_GUI

    public static final String JMETER_NON_GUI
    See Also:
      - Constant Field Values

  - ### JMETER_REPORT_OUTPUT_DIR_PROPERTY

    public static final String JMETER_REPORT_OUTPUT_DIR_PROPERTY
    See Also:
      - Constant Field Values

  - ### TREE_ICON_SIZE

    public static final String TREE_ICON_SIZE
    See Also:
      - Constant Field Values

  - ### DEFAULT_TREE_ICON_SIZE

    public static final String DEFAULT_TREE_ICON_SIZE
    See Also:
      - Constant Field Values

  - ### KEY_SIZE

    protected static final String KEY_SIZE
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### JMeter

    public JMeter()

- ## Method Details

  - ### start

    public void start(String[] args)
    Takes the command line arguments and uses them to determine how to startup JMeter. Called reflectively by `NewDriver.main(String[])`
    Parameters:
      `args` - The arguments for JMeter

  - ### convertSubTree

    @Deprecated public static void convertSubTree(HashTree tree)
    Deprecated.
    This method does not correctly handle a tree with Replaceable controllers that contain NoThreadClone element. Use `convertSubTree(HashTree, boolean)`
    This function does the following:
    - Remove disabled elements
    - Replace the ReplaceableController with the target subtree
    - Clone the tree to ensure Commonly referenced NoThreadClone elements are cloned
    Parameters:
      `tree` - The `HashTree` to convert

  - ### convertSubTree

    public static HashTree convertSubTree(HashTree tree, boolean cloneAtEnd)
    This function does the following:
    - Remove disabled elements
    - Replace the ReplaceableController with the target subtree
    - If cloneAtEnd is true : Clone the tree to ensure Commonly referenced NoThreadClone elements are cloned
    THIS IS INTERNAL JMETER API and should be used with care
    Parameters:
      `tree` - The `HashTree` to convert
      `cloneAtEnd` - boolean whether we clone the tree at end
    Returns:
      HashTree the output `HashTree` to use

  - ### getIconMappings

    public String[][] getIconMappings()
    Specified by:
      `getIconMappings` in interface `JMeterPlugin`

  - ### getResourceBundles

    public String[][] getResourceBundles()
    Specified by:
      `getResourceBundles` in interface `JMeterPlugin`

  - ### isNonGUI

    public static boolean isNonGUI()
    Check if JMeter is running in non-GUI mode.
    Returns:
      true if JMeter is running in non-GUI mode.